Bug 130510 - Not setting hardstatus with TERM=gnome
Not setting hardstatus with TERM=gnome
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-08-20 17:17 EDT by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-08 14:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-08-20 17:17:00 EDT
Description of problem:
The gnome-terminal window title is not used for messages when using
screen.  I think this is probably something to do with TERM=gnome (the
now default setting), but I don't know exactly what.

Version-Release number of selected component (if applicable):
Comment 1 Bill Nottingham 2004-08-20 17:53:35 EDT
I thought TERM=gnome wasn't the default any more?
Comment 2 Daniel Reed 2004-08-20 20:17:50 EDT
I have forwarded this to <screen-users@gnu.org>. screen hardcodes the
list of terminal types it thinks support xterm titles, and I am not
sure if we should just add "gnome" to that list or if there might be a
better way to do this long term. If nobody addresses this upstream, I
may just add "gnome" to the list.
Comment 3 Daniel Reed 2004-09-08 14:35:34 EDT
gnome-terminal uses "xterm" again. The screen-users list has not

As long as gnome-terminal continues to set TERM to a string that
contains the substring "xterm", screen will pass along set-title

Note You need to log in before you can comment on or make changes to this bug.